Bug 827577 - /etc/rc.local doesn't get executed
/etc/rc.local doesn't get executed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 15:19 EDT by redhat
Modified: 2014-03-16 23:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-02 16:47:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2012-06-01 15:19:44 EDT
Description of problem:

/etc/rc.local doesn't work

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot up
  
Actual results:
rc.local not executed


Expected results:
rc.local executed

Additional info:

This is the rc.local file:

#!/bin/bash

sleep 100000 &
exit 0
Comment 1 redhat 2012-06-01 15:28:18 EDT
and:
$ ls -l /etc/rc.local
-rwxr-xr-x 1 root root 34 Jun  1 11:20 /etc/rc.local
Comment 2 Bill Nottingham 2012-06-01 17:27:34 EDT
The proper path is /etc/rc.d/rc.local.
Comment 3 redhat 2012-06-02 16:47:48 EDT
You're right. Though it appears that 'sudo -u <user> <command>' doesn't work ..

Will have to investigate more. Closing this as NOTABUG. Thanks.

Note You need to log in before you can comment on or make changes to this bug.